#!/bin/bash

cmda="/afs/psi.ch/project/sls_det_software/bin/laserClient64 fsetval fwheel_a"
cmdb="/afs/psi.ch/project/sls_det_software/bin/laserClient64 fsetval fwheel_b"
cmdc="/afs/psi.ch/project/sls_det_software/bin/laserClient64 fsetval fwheel_c"



frames=25
#sls_detector_put reg 0x44 0x403f
# was 0x413f

sls_detector_put reg 0x5d  0xf00
sls_detector_put period 0.01 
sls_detector_put status stop

sls_detector_put frames 2000 
#for pedstal only


sls_detector_put exptime 0.000010



sls_detector_put status start 
sleep 25

# set this for gain 1 pedestal
sls_detector_put reg 0x5d  0x1f00
sls_detector_put status start 
sleep 25
# set this for gain 2 pedestal
sls_detector_put reg 0x5d  0x3f00
sls_detector_put status start 
sleep 25

# put back
sls_detector_put reg 0x5d  0xf00

sls_detector_put frames $frames 

echo "=======================PUT OUTPUT ON=========================="
sleep 5

for ii in {1..66}
do 
    echo "step" $ii
    index=0

    for vb in "5.000000" "4.000000" "3.000000" "2.000000" "1.000000" "0.000000"
    do
	vc="0.500000"
	

	for va in  "0.400000" "0.300000" "0.200000" "0.100000" 

	do
	    
	    index=$(($index + 1))
	    # echo "in first loop" $index 
	    if [ "$ii" = "$index" ]; then
		
		$eval $cmda $va
		$eval $cmdb $vb
		$eval $cmdc $vc
		echo "Awheels :" $va $vb $vc
		sleep 5
		sls_detector_put status start 
		sleep 1
		
	    fi
	done

	
	va="0.000000"

	for vc in "0.500000" "0.400000" "0.300000" "0.200000" "0.100000" "0.000000"
	do

	    index=$(($index + 1))
	    #echo "in second loop" $index 
	    if [ "$ii" = "$index" ]; then
		
		$eval $cmda $va
		$eval $cmdb $vb
		$eval $cmdc $vc
		echo  "Bwheels :" $va $vb $vc
		sleep 5
		sls_detector_put status start 
		sleep 1

	    fi

	done


    done

done 


sls_detector_put frames 200000
